Run of fresh-releases for parsero

Try this locally package):

debcheckout parsero
cd parsero
DEB_UPDATE_CHANGELOG=auto new-upstream --debian-revision=0kali1 --require-uscan --refresh-patches
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
[2021-07-13 20:37:26] Running ['new-upstream', '--debian-revision=0kali1', '--require-uscan', '--refresh-patches']
[2021-07-13 20:37:26] Opening branch at https://gitlab.com/kalilinux/packages/parsero.git/,branch=kali%2Fmaster
[2021-07-13 20:37:28] Using cached branch https://janitor.kali.org/git/parsero/,branch=kali%2Flatest
[2021-07-13 20:37:28] Total 91 (delta 10), reused 81 (delta 0)
[2021-07-13 20:37:31] Total 28 (delta 9), reused 19 (delta 0)
[2021-07-13 20:37:33] Total 4 (delta 0), reused 3 (delta 0), pack-reused 0
[2021-07-13 20:37:33] Workspace ready - starting.
[2021-07-13 20:37:33] Using upstream branch https://github.com/behindthefirewalls/Parsero.git (from configuration)
[2021-07-13 20:37:33] Total 213 (delta 0), reused 0 (delta 0), pack-reused 213
Traceback (most recent call last):
  File "/opt/debian-janitor/janitor/pull_worker.py", line 278, in run_worker
    possible_transports=possible_transports,
  File "/usr/lib/python3.7/contextlib.py", line 112, in __enter__
    return next(self.gen)
  File "/opt/debian-janitor/janitor/worker.py", line 810, in process_package
    committer=committer
  File "/opt/debian-janitor/janitor/worker.py", line 489, in make_changes
    reporter=reporter,
  File "/opt/debian-janitor/janitor/worker.py", line 184, in make_changes
    return super(NewUpstreamChanger, self).make_changes(local_tree, subpath, *args, **kwargs)
  File "/opt/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 1275, in make_changes
    require_uscan=self.require_uscan,
  File "/opt/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 911, in merge_upstream
    require_uscan=require_uscan,
  File "/opt/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 541, in find_new_upstream
    package, old_upstream_version
TypeError: cannot unpack non-iterable NoneType object

Full worker log